/* 
 *  $Id: W_IIJ.java,v 1.1.1.1 1998/02/24 04:07:34 gback Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */


package ants.wrapper;


/**
 * Wrapper for int, int, long -- see AutoNodeCache
 */

public class W_IIJ {
  public int i1;
  public int i2;
  public long j1;

  public final int hashCode() { 
    return i1+i2+(int)(j1+(j1>>32));
  }

  public final boolean equals(Object obj) {
    if (obj instanceof W_IIJ) {
      W_IIJ k = (W_IIJ)obj;
      return (k.i1==i1)&&(k.i2==i2)&&(k.j1==j1);
    }
    return false;
  }

  public W_IIJ() { }

  public W_IIJ(int i1, int i2, long j1) {
    this.i1 = i1;
    this.i2 = i2;
    this.j1 = j1;
  }
}

