/* 
 *  $Id: Route.Java,v 1.2 1998/05/29 06:00:54 gback Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */


package ANTS_PKG;

/**
 * channel route data for next hop
 *
 * @author David Wetherall
 */

public class Route {
  Channel ch;
  ChannelAddress src;
  ChannelAddress dst;

public Channel channel() {
  return ch;
}

public ChannelAddress source() {
  return src;
}

public ChannelAddress destination() {
  return dst;
}

public Route(Channel c, ChannelAddress s, ChannelAddress d) {
  super();
  ch = c;
  src = s;
  dst = d;
}
  
}

